Bug 202254 - Smartmontools temperature is sometimes farenheit
Smartmontools temperature is sometimes farenheit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 15:53 EDT by Nicolai Langfeldt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 08:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolai Langfeldt 2006-08-11 15:53:47 EDT
Description of problem:

Some disks (at least?) gets smartctl to report their temperature in Farenheit
not Celcius.

Version-Release number of selected component (if applicable):
smartmontools-5.36-fc5.1

How reproducible:
Always with the correct disks.  I suspect it's a feature of the firmware - or
the interaction with smartmontools:
- Model Family:     Western Digital Caviar SE (Serial ATA) family
  Device Model:     WDC WD2500JD-00FYB0
- Device Model:     SAMSUNG HD401LJ

Steps to Reproduce:
1.  # smartctl -d ata -a /dev/sdb
...
194 Temperature_Celsius     0x0022   119   253   000    Old_age   Always       -
      31

2. # smartctl -F samsung2 -d ata -a /dev/sdc

...
194 Temperature_Celsius     0x0022   145   121   000    Old_age   Always       -
      31

Actual results:

The temperatures does not esp. make sense as C+100, but pretty good sence as
Farenheit temperatures.  The first disk is in a cool cabinet, the second one in
a somewhat denser array.

Expected results:


Additional info:
Comment 1 Tomas Mraz 2006-08-21 08:48:24 EDT
The Temperature_Celsius value is actually the last number on the line - the
value 31 which could theoretically make sense although it seems a little bit too
low to me. The values 119 an 145 are 'magic numbers' which can mean basically
anything.

See http://smartmontools.sourceforge.net/#FAQ

Note You need to log in before you can comment on or make changes to this bug.